Bug 1321621 - Incorrect options listed for datastore analysis for a single datastore filter while adding a schedule
Summary: Incorrect options listed for datastore analysis for a single datastore filter...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.5.5
Assignee: Aparna Karve
QA Contact: Nandini Chandra
URL:
Whiteboard: ui:schedule
Depends On: 1245163
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-28 16:13 UTC by Chris Pelland
Modified: 2016-07-26 15:31 UTC (History)
8 users (show)

Fixed In Version: 5.5.5.0
Doc Type: Bug Fix
Doc Text:
Clone Of: 1245163
Environment:
Last Closed: 2016-07-26 15:31:59 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 1 CFME Bot 2016-06-23 16:32:27 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8e8bba643dc78dbb995b3623902f7107555cedd5

commit 8e8bba643dc78dbb995b3623902f7107555cedd5
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Mon Mar 28 10:03:15 2016 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Jun 22 14:00:57 2016 -0700

    Add a case for retrieving a list of Storage names in the filtered list
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1321621

 app/controllers/ops_controller/settings/schedules.rb | 2 ++
 1 file changed, 2 insertions(+)

Comment 2 CFME Bot 2016-06-23 16:32:31 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=7637a6d89d4739631f996839cea5998bc3eb8679

commit 7637a6d89d4739631f996839cea5998bc3eb8679
Merge: 74ccf19 8e8bba6
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Jun 23 12:29:09 2016 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Thu Jun 23 12:29:09 2016 -0400

    Merge branch 'bz1321621_fix_ds_options' into '5.5.z'
    
    Retrieve a list of Storage names when the filter_type is "storage"
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1321621
    
    Upstream PR - https://github.com/ManageIQ/manageiq/pull/7547
    
    Spec - clean cherry-pick
    
    Actual code - Not a clean cherry-pick
    
    
    In 5.6, `find_filtered` takes only 1 parameter (the Model name), but in the previous versions(5.5 and below)
    `find_filtered` requires an additional `:all` parameter which had to be manually added and hence this is not a clean cherry-pick.
    
    ```
    filtered_item_list = find_filtered(Storage, :all).sort_by { |ds| ds.name.downcase }.collect(&:name).uniq
    ```
    
    
    See merge request !987

 app/controllers/ops_controller/settings/schedules.rb       | 2 ++
 spec/controllers/ops_controller/settings/schedules_spec.rb | 7 +++++++
 2 files changed, 9 insertions(+)

Comment 4 Nandini Chandra 2016-06-30 07:45:51 UTC
Verified in 5.5.5.0

Comment 6 errata-xmlrpc 2016-07-26 15:31:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.